Skip to main content
PATCH
/
v1
/
campaigns
/
{id}
Atualizar campanha
curl --request PATCH \
  --url https://api.nuvia.ai/v1/campaigns/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "trigger_config": {
    "scheduled_at": "2023-11-07T05:31:56Z",
    "recurring_pattern": "<string>",
    "recurring_timezone": "<string>",
    "recurring_end_at": "2023-11-07T05:31:56Z"
  },
  "audience_config": {
    "filters": {
      "agent_step_ids": [
        "<string>"
      ],
      "agent_ids": [
        "<string>"
      ],
      "conversation_status": [
        "<string>"
      ],
      "user_ids": [
        "<string>"
      ]
    },
    "match_criteria": {
      "filter_groups": [
        {
          "conditions": [
            {
              "field_id": "<string>",
              "value": "<string>"
            }
          ]
        }
      ],
      "match_logic": "AND"
    },
    "contact_ids": [
      "<string>"
    ],
    "funnel_config": {
      "agent_id": "<string>",
      "agent_step_id": "<string>"
    }
  },
  "behavior_config": {
    "ignore_business_hours": true
  },
  "linkedin_config": {
    "first_step_as_invitation": true,
    "send_invite_note": true,
    "invite_note": "<string>"
  }
}
'
{}

Authorizations

Authorization
string
header
required

Token JWT de autenticação

Headers

x-company-id
string

Identificador da empresa-alvo. Obrigatório apenas para API Keys globais (type=global). Ignorado para API Keys de empresa e usuários humanos.

Path Parameters

id
string
required

ID da campanha

Body

application/json
name
string
Required string length: 1 - 100
description
string
Maximum string length: 500
channel_type
enum<string>
Available options:
WAP_AUTO_CLOSER,
WEB_V2,
EVOLUTION_API,
LINKEDIN,
MULTI_CHANNEL
trigger_config
object
audience_config
object
behavior_config
object
linkedin_config
object
status
enum<string>
Available options:
DRAFT,
ACTIVE,
PAUSED,
COMPLETED,
ARCHIVED

Response

200 - application/json

The response is of type object.